Big positive integer base on BigNumber

### Hierarchy

- BigInt

## Index

### Constructors

- constructor

### Properties

- value

### Methods

- toHexstr
- fromHexstr

## Constructors

### constructor

- new BigInt(value: string | number): BigInt

- - Defined in common/bigInt.ts:38

  #### Parameters

  - ##### value: string | number

  #### Returns BigInt

## Properties

### value

value: string | number

- Defined in common/bigInt.ts:38

## Methods

### toHexstr

- toHexstr(): string

- - Defined in common/bigInt.ts:51

  Create hex string from BigInt

  #### Returns string

### Static fromHexstr

- fromHexstr(hex: string): BigInt

- - Defined in common/bigInt.ts:32

  Create BigInt from string

  #### Parameters

  - ##### hex: string

    Byte string value

  #### Returns BigInt

Generated using TypeDoc